Bug 1705924 (CVE-2019-10241) - CVE-2019-10241 jetty: using specially formatted URL against DefaultServlet or ResourceHandler leads to XSS conditions
Summary: CVE-2019-10241 jetty: using specially formatted URL against DefaultServlet or...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2019-10241
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1705925
Blocks: 1705926
TreeView+ depends on / blocked
 
Reported: 2019-05-03 08:42 UTC by Marian Rehak
Modified: 2020-04-21 00:53 UTC (History)
24 users (show)

Fixed In Version: jetty 9.2.27, jetty 9.3.26, jetty 9.4.16
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-03-23 10:32:12 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2020:0922 None None None 2020-03-23 08:21:44 UTC
Red Hat Product Errata RHSA-2020:1445 None None None 2020-04-14 13:04:54 UTC

Description Marian Rehak 2019-05-03 08:42:47 UTC
In Eclipse Jetty version 9.2.26 and older, 9.3.25 and older, and 9.4.15 and older, the server is vulnerable to XSS conditions if a remote client USES a specially formatted URL against the DefaultServlet or ResourceHandler that is configured for showing a Listing of directory contents.

External References:
https://bugs.eclipse.org/bugs/show_bug.cgi?id=546121

Comment 1 Marian Rehak 2019-05-03 08:43:23 UTC
Created jetty tracking bugs for this issue:

Affects: fedora-all [bug 1705925]

Comment 3 Joshua Padman 2019-05-15 23:06:22 UTC
This vulnerability is out of security support scope for the following product:
 * Red Hat JBoss Fuse 6

Please refer to https://access.redhat.com/support/policy/updates/jboss_notes for more details.

Comment 4 Cedric Buissart 🐶 2019-05-22 15:16:44 UTC
Statement:

This issue affects the versions of jetty which is embedded in the nutch package as shipped with Red Hat Satellite 5. The jetty server is not exposed, as such exploitation is difficult, Red Hat Product Security has rated this issue as having security impact of Low in the context of Red Hat Satellite 5. A future update may address this issue. For additional information, refer to the Issue Severity Classification: https://access.redhat.com/security/updates/classification/.

Comment 10 errata-xmlrpc 2020-03-23 08:21:39 UTC
This issue has been addressed in the following products:

  Red Hat AMQ

Via RHSA-2020:0922 https://access.redhat.com/errata/RHSA-2020:0922

Comment 11 Product Security DevOps Team 2020-03-23 10:32:12 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2019-10241

Comment 12 errata-xmlrpc 2020-04-14 13:04:52 UTC
This issue has been addressed in the following products:

  Red Hat AMQ 7.4.3

Via RHSA-2020:1445 https://access.redhat.com/errata/RHSA-2020:1445


Note You need to log in before you can comment on or make changes to this bug.